html .woocommerce span.onsale {
    background-color: #52af92;
    border-radius: 0;
    font-weight: 400;
    padding: 0 10px;
}
.div-post-grid-content
{
    position: relative;
}
li#tab-title-additional_information {
    list-style: none;
    padding: 0;
    margin: 0 0 1.618em;
    overflow: hidden;
    position: relative;
}
li#tab-title-additional_information a {
    font-size: 24px;
    color: #02463d;
}
.woocommerce span.onsale {
    min-height: 3.236em;
    min-width: 3.236em;
    position: absolute;
    text-align: center;
    line-height: 3.236;
    top: 0;
    left: 0;
    margin: 0;
    color: #fff;
    font-size: .857em;
    z-index: 9;
}
.woocommerce div.product div.images .flex-control-thumbs {
    overflow: hidden;
    margin-top: 20px;
    zoom: 1;
    margin: 0;
    padding: 0;
}
.woocommerce div.product div.images.woocommerce-product-gallery {   
    max-width: 450px;
    width: 40%;
    margin-bottom: 0;
}
.woocommerce div.product div.images .flex-control-thumbs li img {
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 1px 7px 0 rgb(0 0 0 / 9%);
    transition: .5s;
    cursor: pointer;
    opacity: .5;
    margin: 0;
    display: block;
    width: 100%;
    height: auto;
}
.woocommerce img, .woocommerce-page img {
    height: auto;
    max-width: 100%;
}
.woocommerce div.product div.images .flex-control-thumbs li img.flex-active, .woocommerce div.product div.images .flex-control-thumbs li img:hover {
    opacity: 1;
}
.woocommerce-page div.product div.images {
    float: left;
}
.woocommerce div.product .woocommerce-product-gallery--columns-4 .flex-control-thumbs li:nth-child(4n+1) {
    clear: none;
}
.woocommerce div.product .woocommerce-product-gallery--columns-4 .flex-control-thumbs li:nth-child(4n+1)
{
    clear: left;
}
.woocommerce div.product div.images .flex-control-thumbs li {
    width: 25%;
    float: left;
    margin: 0;
    list-style: none;
}
.woocommerce div.product div.images .flex-control-thumbs li {
    padding: 10px;
}
ol, ul {
    box-sizing: border-box;
}
b, optgroup, strong {
    font-weight: 700;
}
.div-title-post-cat {
    position: relative;
    z-index: 2;
}
.no-display {
    opacity:0;
    max-height: 0;

}
.section.header-section-checkout, .section.header-section-product {
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    box-shadow: 0 4px 4px -1px rgba(0, 0, 0, .1);
}
.div-content-main-post {
    position: relative;
    margin-top: 40px;
}
.div-post-container {
    width: 100%;
    max-width: 790px;
    margin-right: auto;
    margin-left: auto;
}
.a-link-back.blog-back {
    position: relative;
    left: 0;
    top: 0;
    width: 80px;
    margin-top: 0;
    margin-bottom: -20px;
    right: auto;
    bottom: auto;
    display: flex;
    transition: color .4s;
    color: #52af92;
    font-size: 15px;
    line-height: 18px;
    font-weight: 700;
    letter-spacing: .3px;
    text-decoration: none;
}
.div-more-posts {
    margin-top: 60px;
}
.a-link-product-thumbnail {
    position: relative;
    display: block;
    overflow: hidden;
    width: 100%;
    margin-bottom: 20px;
    padding-bottom: 0;
    border-radius: 20px;
    box-shadow: 0 3px 16px 0 rgba(0, 0, 0, .16);
}
.div-product-flex-info-stars {
    display: flex;
}
.woocommerce div.product form.cart .reset_variations {
    visibility: hidden;
    font-size: .83em;
}
.div-link-more-post {
    margin-top: 5px;
}
.tb-back-calc {
    margin-left: 10px;
}
.woocommerce-product-details__short-description {
    margin-bottom: 30px;
}
h2 {
    margin-top: 20px;
    color: #02473e;
    font-weight: 700;
}
.h3-product-title {
    color: #02473e;
    font-size: 17px;
    line-height: 24px;
    letter-spacing: .3px;
    padding: .5em 0;
    margin: 0;
    font-size: 1em;
}
h3 {
    color: #02473e;
}
.h3-post-title>a, .h3-product-title>a {
    color: #02473e;
}
.woocommerce.single-product .rich-post h3 {
    font-size: 22px;
}
.rich-post h3 {
    margin-bottom: 20px;
}
h1 {
    color: #02473e;
}
h4 {
    margin-top: 10px;
    margin-bottom: 15px;
    color: #02473e;
    font-size: 20px;
    line-height: 24px;
    font-weight: 700;
}
.rich-post ul {
    margin-top: 0;
    padding-left: 20px;
    margin-bottom: 25px;
}
.tb-price-product {
    margin-bottom: 10px;
    color: #02473e;
    font-weight: 700;
}
.tb-variants-title {
    font-weight: 700;
    letter-spacing: .5px;
    color: #02463d;
    margin-bottom: 15px;
}
.tb-question {
    font-weight: 700;
    transition: color .4s;
}
.div-faq-item {
    padding-top: 20px;
    padding-bottom: 20px;
}
.div-faq-question {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    color: #52af92;
    cursor: pointer;
    z-index: 10;
}
.div-faq-question:hover {
    color: #02473e;
}
.div-faq-answer {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
}
.div-faq-answer.div-faq-answer-animate {
    max-height: 800px;
    opacity: 1;
    transition: max-height 2s ease, opacity 2s ease;
}
.div-faq-question img {
    transition: transform .3s ease;
}
.div-faq-question img.rotated {
    transform: rotate(180deg);
}
.div-faq-answer.no-display {
    max-height: 0;
    opacity: 0;
    transition: max-height .5s ease, opacity .5s ease;
}
.tb-variants-label-box {
    color: #f16b54;
    letter-spacing: .5px;
    margin-bottom: 25px;
}
.rich-post figure, .rich-post ol, .rich-post p {
    margin-bottom: 25px;
}
.w-richtext figure {
    position: relative;
}
.woocommerce div.product form.cart .variations th {
    display: none;
}
.woocommerce div.product form.cart .variations tbody tr>td.value {
    padding: 5px 0;
}
.woocommerce input.button.added::after {
    font-family: WooCommerce;
    content: "\e017";
    margin-left: .53em;
    vertical-align: bottom;
}
.wp-block-image {
    margin: 0 0 1em;
}
.woocommerce div.product form.cart {
    margin-bottom: 2em;
}
.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    float: left;
    padding: 0;
    position: relative;
    margin-left: 0;
}
.woocommerce ul.products li.product a img {
    width: 100%;
    height: auto;
    display: block;
    margin: 0 0 1em;
    box-shadow: none;
    max-width: 100%;
}
.wp-block-gallery.has-nested-images figure.wp-block-image img {
    display: block;
}
.w-richtext figure {
    max-width: 100%;
}
.woocommerce div.product form.cart .variations select {
    margin-right: 0;
}
.woocommerce .products ul li, .woocommerce ul.products li {
    list-style: none outside;
}
.woocommerce div.product form.cart .variations {
    border: 0;
    width: 100%;
}
.woocommerce div.product span.price {
    font-size: 18px;
    line-height: 24px;
    font-weight: 700;
    letter-spacing: .4px;
    color: #02463d;
    margin-bottom: 0;
}
.woocommerce div.product form.cart .variations select {
    max-width: 100%;
    min-width: 75%;
    display: inline-block;
    margin-right: 1em;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding-right: 3em;
    background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgc3Ryb2tlPSJibGFjayIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2UtbGluZWNhcD0icm91bmQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiIGNsYXNzPSJmZWF0aGVyIGZlYXRoZXItY2hldnJvbi1kb3duIj48cG9seWxpbmUgcG9pbnRzPSI2IDkgMTIgMTUgMTggOSI+PC9wb2x5bGluZT48L3N2Zz4=) no-repeat;
    background-size: 16px;
    -webkit-background-size: 16px;
    background-position: calc(100% - 12px) 50%;
}
.select-sort {
    margin-bottom: 0;
    padding-top: 6px;
    padding-bottom: 6px;
    border: 1px #000;
    border-radius: 20px;
    box-shadow: 1px 1px 12px -4px rgba(0, 0, 0, .1);
    color: #52af92;
    font-weight: 700;
}
.select-sort.variation-select {
    text-align: center;
    padding-left: 0;
}
.div-increment-buttons {
    margin-right: 30px;
    display: flex;
    align-items: center;
}
button.minus, button.plus {
    border-radius: 100%;
    height: 31px;
    width: 31px;
    font-weight: 700;
    font-size: 15px;
    background-color: #fff;
    box-shadow: 1px 1px 12px -4px rgb(0 0 0 / 10%);
    color: #52af92;
    transition: .3s;
}
button.minus:hover, button.plus:hover {
    color: #02463d;
    background-color: #caf6e6;
}
.div-flex-price-add-to-cart {
    display: flex;
    align-items: center;
}
.woocommerce button.button.alt:disabled {
    cursor: not-allowed;
}
.woocommerce button.button.alt:disabled:hover {
    color: #02463d;
    background-color: #caf6e6;
}
html .woocommerce div.product form.cart .quantity {
    float: none;
    margin-right: 0;
    display: inline-block;
}
.screen-reader-text {
    clip: rect(1px, 1px, 1px, 1px);
    word-wrap: normal !important;
    border: 0;
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    overflow-wrap: normal !important;
    padding: 0;
    position: absolute !important;
    width: 1px;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button,
.woocommerce .quantity input.qty[type=number] {
    -webkit-appearance: none;
    margin: 0;
}
.woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover {
    color: gold;
    background-color: #52af92;
}
.woocommerce div.product form.cart div.quantity {
    margin: 0 4px 0 0;
}
.woocommerce .quantity .qty {
    border: none;
    margin: 0 4px;
    width: 35px;
    text-align: center;
}

button, html input[type=button], input[type=reset] {
    border: 0;
    cursor: pointer;
    -webkit-appearance: button;
}
.woocommerce div.product form.cart .button {
    vertical-align: middle;
    float: left;
}
.woocommerce button.button.alt.disabled {
    cursor: not-allowed;
}
.woocommerce button.button { 
    color: #02463d;
    background-color: #caf6e6;
    border-radius: 31px;
    min-width: 220px;
    text-align: center;
    font-size: 15px;
    line-height: 18px;
    letter-spacing: .4px;
    font-weight: 700;
    transition: .3s;
}
.woocommerce ul.products li.first, .woocommerce-page ul.products li.first {
    clear: both;
}
.woocommerce-page div.product .woocommerce-tabs {
    clear: both;
}
.woocommerce div.product .woocommerce-tabs ul.tabs {
    list-style: none;
    padding: 0 0 0 1em;
    margin: 0 0 1.618em;
    overflow: hidden;
    position: relative;
}
.woocommerce-tabs {
    width: 100%;
    margin-top: 40px;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active a {
    color: #02463d;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li a {
    font-size: 24px;
    color: #02463d;
    display: inline-block;
    padding: .5em 0;
    text-decoration: none;
}
.woocommerce ul.products li.product a {
    text-decoration: none;
}
.woocommerce .up-sells {
    width: 100%;
    display: block;
}
.woocommerce .products ul, .woocommerce ul.products {
    padding: 0 20px;
}
.woocommerce .products ul, .woocommerce ul.products {
    margin: 0 0 1em;
    padding: 0;
    list-style: none outside;
    clear: both;
}
.woocommerce .products ul::after, .woocommerce ul.products::after {
    clear: both;
}
.woocommerce div.product form.cart .variations td, .woocommerce div.product form.cart .variations th {
    border: 0;
    line-height: 2em;
    vertical-align: top;
}
.woocommerce .products ul::after, .woocommerce .products ul::before, .woocommerce ul.products::after, .woocommerce ul.products::before {
    content: " ";
    display: table;
}
.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images {
    float: left;
}
.wp-block-gallery.has-nested-images figure.wp-block-image figcaption {
    background: linear-gradient(0deg, #0006, #0000);
    will-change: transform;
    box-sizing: border-box;
    color: #fff;
    font-size: 13px;
    margin: 0;
    overflow: auto;
    padding: 1em;
    text-align: center;
    text-shadow: 0 0 1.5px #000;
    bottom: 0;
    left: 0;
    max-height: 100%;
    position: absolute;
    right: 0;
    scrollbar-color: #0000 #0000;
    scrollbar-gutter: stable both-edges;
    scrollbar-width: thin;
}
.wp-block-gallery.has-nested-images figure.wp-block-image figcaption, .wp-block-gallery.has-nested-images figure.wp-block-image:has(figcaption):before {
    bottom: 0;
    left: 0;
    max-height: 100%;
    position: absolute;
    right: 0;
}
.div-shop-flex.post-disp-none {
    display: flex;
}
.div-shop-flex {
    flex-wrap: wrap;
}
.div-content-main-post {
    position: relative;
    margin-top: 40px;
}
@media screen and (min-width: 1280px) {
    .h3-product-title {
        font-size: 18px;
    }
    .woocommerce div.product .product_title,
    h2 {
        font-size: 32px;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs li a {
        font-weight: 700;
    }
}
@media screen and (max-width: 1279px) {
    .woocommerce div.product .woocommerce-tabs ul.tabs li a {
        font-weight: 500;
    }
}
@media screen and (min-width: 992px) and (max-width: 1279px) {
    .woocommerce div.product .product_title,
    h2 {
        font-size: 32px;
    }
}
@media only screen and (min-width:992px) {
    .woocommerce div.product {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        margin-bottom: 0;
        position: relative;
    }
    .woocommerce div.product div.summary {
        width: 55%;
    }

    .woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
        width: 22.05%;
    }
    .div-item-post {
        padding: 25px;
        width:25%;
    }
    .section.header-section-checkout, .section.header-section-product {
        padding-top: 200px;
        padding-bottom: 100px;
    }
    .section {
        padding-top: 100px;
        padding-bottom: 100px;
    }
    .div-shop-flex {
        margin-right: -25px;
        margin-left: -25px;
    }
}
@media screen and (min-width: 820px) and (max-width: 991px) {
    .woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
        width: 22.05%;
    }
}
@media screen and (min-width: 768px) and (max-width: 819px){
    .woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
        width: 48%;
    }
}
@media screen and (min-width: 768px) and (max-width: 991px) {
    h2 {
        font-size: 24px;
    }
    .container-fluid.rel-container {
        padding: 0;
    }
    .woocommerce div.product div.summary {
        width: 100%;
    }
    .woocommerce div.product form.cart {
        margin: 0 auto;
        width: 335px;
    }
    .woocommerce div.product .product_title {
        font-size: 24px;
    }
    .div-item-post {
        width: 25%;
    }
    .div-item-post {
        padding: 7px;
    }
    .section.header-section-checkout, .section.header-section-product {
        padding-top: 150px;
        padding-bottom: 60px;
    }
    .woocommerce-product-details__short-description {
        margin-left: 25px;
    }
    .woocommerce .up-sells {
        margin: 0 15px;
    }
}
@media only screen and (min-width:768px) {
    h2 {
        margin-bottom: 20px;
    }

    .woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
        margin: 0 3.8% 2.992em 0;
    }
    .tb-question {
        line-height: 32px;
        font-size: 20px;
    }
    .tb-price-product {
        margin-top: 16px;
    }
    .woocommerce div.product div.summary {
        margin-bottom: 0;
    }
    .woocommerce div.product form.cart .variations {
        margin-bottom: 0;
    }
    li#tab-title-additional_information a {
        font-weight:700;
    }

}
@media only screen and (max-width:767px) {
    .woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
        clear: both;
        margin: 0 0 2.992em;
    }
    .tb-question {
        font-size: 16px;
        line-height: 22px;
    }
    .div-shop-flex {
        position: relative;
        overflow: hidden;
    }
    .slider-track {
        display: flex;
        transition: transform .3s ease;
        width: 100%;
    }
    .div-item-post {
        flex: 0 0 100%;
        width: 100%;
    }
    .hs-arrow {
        position: absolute;
        top: 40%;
        transform: translateY(-50%);
        cursor: pointer;
        z-index: 10;
    }
    .w-slider-arrow-left {
        left: 0px;
    }
    .w-slider-arrow-right {
        right: 0px;
    }
    .div-arrow-cicle {
        display: flex;
        margin-top: 0;
        margin-bottom: 0;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border-radius: 45px;
        background-color: #fff;
        box-shadow: 0 3px 18px -4px rgba(0, 0, 0, .06);
        padding: 5px;
        height: 35px;
        width: 35px;
    }
    li#tab-title-additional_information a {
        font-weight:500;
    }
}
@media only screen and (min-width: 481px) and (max-width:767px) {
    h2 {
        font-size: 24px;
        margin-bottom: 10px;
    }

    .tb-price-product {
        margin-top: 10px;
    }
    .woocommerce div.product div.summary {
        width: 100%;
        margin-bottom: 0;
    }
    .tb-variants-title {
        text-align: center;
    }
    .woocommerce div.product form.cart .variations {
        margin: 0 auto;
    }
    .tb-variants-label-box {
        text-align: center;
    }
    .div-flex-price-add-to-cart {
        justify-content:center;
    }
    .div-item-post {
        width: 100%;
    }
    .woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
        width: 48%;
    }
    .woocommerce div.product .product_title {
        font-size: 24px;
    }
    .div-item-post {
        padding: 25px;
    }
    .section.header-section-product {
        padding-top:120px;
        padding-bottom: 60px;
    }
    .woocommerce-product-details__short-description {
        margin-left: 25px;
    }
}
@media only screen and (min-width: 481px) {
    h2 {
        line-height: 36px;
    }
    .woocommerce .up-sells ul.products {
        margin-top: 30px;
    }
    .woocommerce div.product .product_title {
        line-height: 36px;
        margin-bottom: 30px;
        clear: none;
        margin-top: 0;
        padding: 0;
        color: #02473e;
    }
    .div-product-flex-info-stars {
        justify-content: space-between;
        align-items: center;
        margin-bottom: 30px;
    }
    .woocommerce-product-details__short-description p {
        font-size: 15px;
        line-height: 24px;
    }
    .woocommerce div.product form.cart .variations {
        max-width: 335px;
        margin-bottom: 0;
    }
    .select-sort {
        font-size: 15px;
        line-height: 18px;
    }
    .tb-variants-label-box {
        font-size: 13px;
        line-height: 20px;
    }
    .rich-post {
        font-size: 15px;
        line-height: 24px;
    }
    .woocommerce.single-product .rich-post h2 {
        font-size: 24px;
    }
    .woocommerce button.button { 
        padding: 15px 30px;
    }
    .tb-price-product {
        margin-top: 0;
        font-size: 18px;
        line-height: 24px;
    }
}
@media only screen and (max-width: 480px) {
    h2 {
        font-size: 18px;
        line-height: 24px;
        margin-bottom: 0px;
    }
    .h3-main {
        font-size: 16px;
        line-height: 22px;
        font-weight: 700;
    }
    .woocommerce div.product div.images .flex-control-thumbs{
        margin: 20px;
    }
    .single-product .div-content-main-post {
        margin-top: 0;
    }
    .section.header-section-product {
        padding-top: 70px;
        padding-bottom: 40px;
    }
    .woocommerce div.product {
        display: block;
    }
    .woocommerce div.product div.images.woocommerce-product-gallery {
        max-width: 200%;
        width: auto;
        margin-bottom: 30px;
        margin-left: -20px;
        margin-right: -20px;
        margin-top: 30px;
    }
    .woocommerce div.product div.images img {
        max-height: 350px;
        -o-object-fit: cover;
        object-fit: cover;
        -o-object-position: bottom center;
        object-position: bottom center;
    }
    .woocommerce div.product .product_title {
        font-size: 16px;
        line-height: 22px;
        margin-bottom: 10px;
    }
    ul.tabs li a {
        font-size: 16px;
        line-height: 22px;
    }
    .woocommerce div.product div.summary {
        max-width: 100%;
        width: 100%;
    }
    .div-product-flex-info-stars
    {
        flex-direction: column;
        align-items: start;
        margin-bottom: 15px;
    }
     .woocommerce-product-details__short-description p
    {
        font-size: 13px;
        line-height: 18px;
    }
    .tb-variants-title {
        font-size: 16px;
        line-height: 22px;
    }
    .woocommerce div.product form.cart .variations {
        max-width: 100%;
    }
    .select-sort {
        height: 29px;
        font-size: 13px;
    }
    .tb-variants-label-box {
        text-align: center;
        font-size: 10px;
        line-height: 16px;
    }
    .woocommerce ul.products[class*=columns-] li.product, .woocommerce-page ul.products[class*=columns-] li.product {
        width: 100%;
    }
    .div-item-post {
        width: 100%;
    }
    a.a-link-product-thumbnail.w-inline-block {
        margin-top: 40px;
    }
    .div-shop-flex {
        margin-right: 0px;
        margin-left: 0px;
    }
    .div-faq-item {
        padding-bottom: 0;
    }
    .div-flex-price-add-to-cart .div-increment-buttons {
        margin-bottom: 20px;
    }
    h2#h-z-moich-diet-skorzystaly-juz-tysiace-osob
    {
        line-height: 22px;
        margin-bottom:20px;
    }
    .div-flex-price-add-to-cart {
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }
    .woocommerce button.button { 
        padding: 8px 15px;
        width: 100%;
        box-shadow: 1px 1px 12px -4px rgb(0 0 0 / 10%);
        font-size: 13px;
        line-height: 20px;
    }
    .rich-post {
        font-size: 13px;
        line-height: 18px;
    }
    .rich-post h2 {
        font-size: 15px;
        line-height: 22px;
    }
    .section.page-product-content {
        padding-top: 40px;
    }
    .tb-price-product {
        margin-top: 0;
        font-size: 14px;
        line-height: 18px;
    }
    li#tab-title-additional_information {
        text-align: center;
    }
}
